
From: Geert Uytterhoeven <geert@linux-m68k.org>

Recent serial changes moved some code, causing unused variable warnings.


---

 25-akpm/drivers/char/isicom.c    |    1 -
 25-akpm/drivers/char/istallion.c |    1 -
 25-akpm/drivers/char/moxa.c      |    5 ++---
 25-akpm/drivers/char/mxser.c     |    2 --
 25-akpm/drivers/char/specialix.c |    2 --
 5 files changed, 2 insertions(+), 9 deletions(-)

diff -puN drivers/char/isicom.c~isicom-unused-vars drivers/char/isicom.c
--- 25/drivers/char/isicom.c~isicom-unused-vars	Tue Apr  6 15:32:29 2004
+++ 25-akpm/drivers/char/isicom.c	Tue Apr  6 15:32:29 2004
@@ -1313,7 +1313,6 @@ static int isicom_tiocmset(struct tty_st
 			   unsigned int set, unsigned int clear)
 {
 	struct isi_port * port = (struct isi_port *) tty->driver_data;
-	unsigned int arg;
 	unsigned long flags;
 	
 	if (isicom_paranoia_check(port, tty->name, "isicom_ioctl"))
diff -puN drivers/char/istallion.c~isicom-unused-vars drivers/char/istallion.c
--- 25/drivers/char/istallion.c~isicom-unused-vars	Tue Apr  6 15:32:29 2004
+++ 25-akpm/drivers/char/istallion.c	Tue Apr  6 15:32:29 2004
@@ -2056,7 +2056,6 @@ static int stli_ioctl(struct tty_struct 
 {
 	stliport_t	*portp;
 	stlibrd_t	*brdp;
-	unsigned long	lval;
 	unsigned int	ival;
 	int		rc;
 
diff -puN drivers/char/moxa.c~isicom-unused-vars drivers/char/moxa.c
--- 25/drivers/char/moxa.c~isicom-unused-vars	Tue Apr  6 15:32:29 2004
+++ 25-akpm/drivers/char/moxa.c	Tue Apr  6 15:32:29 2004
@@ -778,7 +778,7 @@ static int moxa_tiocmset(struct tty_stru
 {
 	struct moxa_str *ch = (struct moxa_str *) tty->driver_data;
 	int port;
-	int flag = 0, dtr, rts;
+	int dtr, rts;
 
 	port = PORTNO(tty);
 	if ((port != MAX_PORTS) && (!ch))
@@ -802,8 +802,7 @@ static int moxa_ioctl(struct tty_struct 
 {
 	struct moxa_str *ch = (struct moxa_str *) tty->driver_data;
 	register int port;
-	int retval, dtr, rts;
-	unsigned long flag;
+	int retval;
 
 	port = PORTNO(tty);
 	if ((port != MAX_PORTS) && (!ch))
diff -puN drivers/char/mxser.c~isicom-unused-vars drivers/char/mxser.c
--- 25/drivers/char/mxser.c~isicom-unused-vars	Tue Apr  6 15:32:29 2004
+++ 25-akpm/drivers/char/mxser.c	Tue Apr  6 15:32:29 2004
@@ -2150,7 +2150,6 @@ static int mxser_tiocmget(struct tty_str
 {
 	struct mxser_struct *info = (struct mxser_struct *) tty->driver_data;
 	unsigned char control, status;
-	unsigned int result;
 	unsigned long flags;
 
 	if (PORTNO(tty) == MXSER_PORTS)
@@ -2177,7 +2176,6 @@ static int mxser_tiocmset(struct tty_str
 			  unsigned int set, unsigned int clear)
 {
 	struct mxser_struct *info = (struct mxser_struct *) tty->driver_data;
-	unsigned int arg;
 	unsigned long flags;
 
 	if (PORTNO(tty) == MXSER_PORTS)
diff -puN drivers/char/specialix.c~isicom-unused-vars drivers/char/specialix.c
--- 25/drivers/char/specialix.c~isicom-unused-vars	Tue Apr  6 15:32:29 2004
+++ 25-akpm/drivers/char/specialix.c	Tue Apr  6 15:32:29 2004
@@ -1696,8 +1696,6 @@ static int sx_tiocmset(struct tty_struct
 		       unsigned int set, unsigned int clear)
 {
 	struct specialix_port *port = (struct specialix_port *)tty->driver_data;
-	int error;
-	unsigned int arg;
 	unsigned long flags;
 	struct specialix_board *bp;
 

_
